import java.io.*;
import java.util.*;
import iwork.eheap2.*;

public class RFIDEventPort implements RFIDListener {
   	EventHeap   eheap;      // Event heap
	RFID        rfid;       // RFID controller

    // Constructor - create event heap and communication to RFID reader

	public RFIDEventPort( String eheapName, String comPort )
    {
		eheap  = new EventHeap ( eheapName );
		rfid   = new RFID      ( comPort );
		rfid.register(this);
	}
		
	// Callback - new RFID tag is read

	public void callback(String tagID){
		
        System.out.println("RFIDEventPort reads tag: " + tagID);

		try
		{		
        	// Create event for EventHeap
			Event e = new Event("RFID");
			e.addField("id", tagID);
			eheap.putEvent(e);
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
	}

    // Main method
	
    public static void main(String[] args) {	
		RFIDEventPort ep;
		
		if( args.length == 2 )
			ep = new RFIDEventPort( args[0], args[1] );
		else
			System.out.println("Usage: RFIDproxy <event heap name> <comm port>");
	}
}


